package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[日历、邮件重要程度（数值）]
 */
@Component("ionicdemo_MsgImportanceLevelCodeList")
public class MsgImportanceLevelCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_MsgImportanceLevel");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue(100);
		item0.setId("100");
		item0.setText("高");
		item0.setLabel("高");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("100",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue(50);
		item1.setId("50");
		item1.setText("普通");
		item1.setLabel("普通");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("50",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue(10);
		item2.setId("10");
		item2.setText("低");
		item2.setLabel("低");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("10",item2);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}